package com.yeejoin.amos.boot.module.common.api.enums;

public enum DataSyncTopicEnum {
    EQM_PATROL_CREATED("user", "emq.user.created"),
    ORG_USR_DEL("userDel", "user/sync/orgUsrDel"),
    ORG_USR("orgUsr", "user/sync/orgUsr"),
    STATION_USER_UPDATE("sattionUserUpdate", "station/user/update"),
    STATION_USER_DELETE("sattionUserDelete", "station/user/delete");

    private String type;
    private String topic;

    DataSyncTopicEnum(String type, String topic) {
        this.type = type;
        this.topic = topic;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getTopic() {
        return topic;
    }

    public void setTopic(String topic) {
        this.topic = topic;
    }
}
